OGRE: Ogre::NULLPlugin Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::NULLPlugin Class Reference

Plugin instance for NULL Manager. More...

`#include <OgreNULLPlugin.h>`

Inheritance diagram for Ogre::NULLPlugin:
[legend]

## Public Member Functions
| NULLPlugin ()
const String & | getName () const
| Get the name of the plugin. More...
void | initialise ()
| Perform any tasks the plugin needs to perform on full system initialisation. More...
void | install ()
| Perform the plugin initial installation sequence. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | shutdown ()
| Perform any tasks the plugin needs to perform when the system is shut down. More...
void | uninstall ()
| Perform the final plugin uninstallation sequence. More...

## Detailed Description

Plugin instance for NULL Manager.

## Constructor & Destructor Documentation

## ◆ NULLPlugin()

Ogre::NULLPlugin::NULLPlugin | ( |  | ) |

## Member Function Documentation

## ◆ getName()

const String& Ogre::NULLPlugin::getName | ( |  | ) | const
| virtual

Get the name of the plugin.

Remarks
  An implementation must be supplied for this method to uniquely identify the plugin.

Implements Ogre::Plugin.

## ◆ initialise()

void Ogre::NULLPlugin::initialise | ( |  | ) |
| virtual

Perform any tasks the plugin needs to perform on full system initialisation.

Remarks
  An implementation must be supplied for this method. It is called just after the system is fully initialised (either after Root::initialise if a window is created then, or after the first window is created) and therefore all rendersystem functionality is available at this time. You can use this hook to create any resources which are dependent on a rendersystem or have rendersystem-specific implementations.

Implements Ogre::Plugin.

## ◆ install()

void Ogre::NULLPlugin::install | ( |  | ) |
| virtual

Perform the plugin initial installation sequence.

Remarks
  An implementation must be supplied for this method. It must perform the startup tasks necessary to install any rendersystem customisations or anything else that is not dependent on system initialisation, ie only dependent on the core of Ogre. It must not perform any operations that would create rendersystem-specific objects at this stage, that should be done in initialise().

Implements Ogre::Plugin.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ shutdown()

void Ogre::NULLPlugin::shutdown | ( |  | ) |
| virtual

Perform any tasks the plugin needs to perform when the system is shut down.

Remarks
  An implementation must be supplied for this method. This method is called just before key parts of the system are unloaded, such as rendersystems being shut down. You should use this hook to free up resources and decouple custom objects from the OGRE system, whilst all the instances of other plugins (e.g. rendersystems) still exist.

Implements Ogre::Plugin.

## ◆ uninstall()

void Ogre::NULLPlugin::uninstall | ( |  | ) |
| virtual

Perform the final plugin uninstallation sequence.

Remarks
  An implementation must be supplied for this method. It must perform the cleanup tasks which haven't already been performed in shutdown() (e.g. final deletion of custom instances, if you kept them around incase the system was reinitialised). At this stage you cannot be sure what other plugins are still loaded or active. It must therefore not perform any operations that would reference any rendersystem-specific objects - those should have been sorted out in the 'shutdown' method.

Implements Ogre::Plugin.

The documentation for this class was generated from the following file:

- OgreNULLPlugin.h